Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openqa.selenium.server.browserlaunchers
Class DestroyableRuntimeExecutingBrowserLauncher

    java.lang.Object
      org.openqa.selenium.server.browserlaunchers.AbstractBrowserLauncher
          org.openqa.selenium.server.browserlaunchers.DestroyableRuntimeExecutingBrowserLauncher

All Implemented Interfaces:
  BrowserLauncher

    public class DestroyableRuntimeExecutingBrowserLauncher

extends AbstractBrowserLauncher

Runs the specified command path to start the browser, and kills the process to quit.

Version:
  $Revision: 189 $
Author:
  Paul Hammant

Field Summary
`protected java.lang.String` | `commandPath`
`protected java.lang.Process` | `process`

Fields inherited from class org.openqa.selenium.server.browserlaunchers.AbstractBrowserLauncher
`browserConfigurationOptions, sessionId`

Constructor Summary
`DestroyableRuntimeExecutingBrowserLauncher(java.lang.String commandPath, java.lang.String sessionId)` Specifies a command path to run

Method Summary
`void` | `close()` Kills the process
`protected void` | `exec(java.lang.String command)`
`java.lang.Process` | `getProcess()` Returns a process if there is an associated one running with this browser launcher (this is not required to be implementd).
`protected void` | `launch(java.lang.String url)`

Methods inherited from class org.openqa.selenium.server.browserlaunchers.AbstractBrowserLauncher
`getConfiguration, getPort, launchHTMLSuite, launchRemoteSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### process

    protected java.lang.Process process

### commandPath

    protected java.lang.String commandPath

Constructor Detail

### DestroyableRuntimeExecutingBrowserLauncher

    public DestroyableRuntimeExecutingBrowserLauncher(java.lang.String commandPath,
                                                      java.lang.String sessionId)

  Specifies a command path to run

Method Detail

### close

    public void close()

  Kills the process

### getProcess

    public java.lang.Process getProcess()

  Description copied from interface: `BrowserLauncher`
  Returns a process if there is an associated one running with this browser launcher (this is not required to be implementd).

  Returns:
    a handle to a process if one is available, or null if one is not available or if no browser is running

### launch

    protected void launch(java.lang.String url)

  Specified by:
    `launch` in class `AbstractBrowserLauncher`

### exec

    protected void exec(java.lang.String command)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.